# 命令行安装

Insight Student 应用程序支持在安装过程中使用命令行选项配置产品。这些选项可与各种部署工具一起使用，将学生应用程序推送到系统，而无需用户干预。

| 命令行选项                          | 说明                                                                                                                                                                                                                                                           |
| ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `/classID <value>`             | 安装过程中，这会将默认班级 ID 设置为指定值。此值可以是任意有效的数字字母班级 ID。                                                                                                                                                                                                                 |
| `/requireStudentPermission`    | 在安装过程中设置此选项可将 Insight 配置为需要学生批准。                                                                                                                                                                                                                             |
| `/installbrowserextension`     | 设置此选项将在学生系统上安装浏览器扩展程序。                                                                                                                                                                                                                                       |
| `/enableWebHistory`            | 设置此选项将启用 Insight 在学生计算机上跟踪网络历史记录的功能。                                                                                                                                                                                                                         |
| `/disableKeyLogging`           | 设置此选项将禁用 Insight 在客户端系统上记录按键操作的功能。                                                                                                                                                                                                                           |
| `/studentCanChangeClassId`     | 设置此选项可将 Insight 配置为允许学生更改 Insight 中的班级 ID。                                                                                                                                                                                                                   |
| `/hideSysTrayIcon`             | 设置此选项可将 Insight 配置为在系统托盘上隐藏其图标。                                                                                                                                                                                                                              |
| `/restrictWiFi`                | 设置此选项将启用 Insight 限制系统可连接的无线网络的功能。                                                                                                                                                                                                                            |
| `/authorizedWiFiSSIDs <value>` | 设置此选项将指定系统可连接的无线网络的 SSID。指定 SSID 时应逐个输入，并用逗号分隔。                                                                                                                                                                                                              |
| `/sharedSecret <value>`        | <p>此选项用于配置 Insight，使用指定的访问令牌开启隐私模式。</p><p> </p><p>示例：</p><p><code>/sharedSecret Password123</code></p>                                                                                                                                                       |
| `/adminPwd <value>`            | 此选项使用在命令行开关后指定的值来配置客户端系统上的管理员密码。                                                                                                                                                                                                                             |
| `/connectorServer <value>`     | <p>此选项将 Insight Student 配置为与位于指定的 IP 地址，主机名或 FQDN 上的 Insight Connector 通信。</p><p> </p><p>示例：</p><p><code>/connectorServer insight</code></p><p><code>/connectorServer 192.168.1.10</code></p><p><code>/connectorServer insight.example.domain.com</code></p> |
| `/suppressreboot`              | 使用此选项可取消在 Insight Student 安装完成后重启客户端系统。在安装过程后重启客户端计算机之前，可能无法完全启用 Insight。                                                                                                                                                                                    |
| `/upgrade`                     | 此选项使用现有设置静默升级 Insight Student 应用程序。                                                                                                                                                                                                                          |

下方展示的安装命令行示例适用于使用可执行文件 (.exe) 安装 Insight Student 的情况：

`InsightInstallerStudent.exe /classid Class101 /adminPwd Password123 /sharedSecret superiorsiegeweapon /installbrowserextension /enableWebHistory /connectorServer insight.example.domain.com /suppressreboot`

下方展示的安装命令行示例适用于使用 MSI 安装程序安装 Insight Student 的情况：

`MSIEXEC.exe /I "msi Path" /qn` `CMDLINE="/classId Class101 /requireStudentPermission /disableKeyLogging /studentCanChangeClassId /hideSysTrayIcon /adminPwd Password123 /installBrowserExtension /enableWebHistory"`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faronics.com/faronics-insight-docs/chinese/an-zhuang-he-guan-li/an-zhuang/zai-windows-shang-an-zhuang/an-zhuang-insight-student/ming-ling-xing-an-zhuang.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
